#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-LNEIdmghQH4GSZXZNVj6uL
key:                  ghcide-1.10.0.0-LNEIdmghQH4GSZXZNVj6uL
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  e9390fb49d7babaeb4a3833336e7fe73
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-LNEIdmghQH4GSZXZNVj6uL
depends:
    Diff-0.4.1-8BrI4Pg9PMJBWhXGls7PM9
    Glob-0.10.2-92wwVW2elkT9FOawCMLbuf
    aeson-2.1.2.1-JO9urWGr49o9eoGVjGK4co
    aeson-pretty-0.8.10-GMLslAbPnO7Ivc8DPOuDIL array-0.5.4.0
    async-2.2.5-H7mkega92KRHWSskCtOMDw base-4.16.4.0
    base16-bytestring-1.0.2.0-BJVwDMUl6xaH4mbJD5j41X binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-evSyx12viwIxbavkSc1L8
    co-log-core-0.3.2.2-6wCzLtDHY014Ig89SonHQK containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-6lX5fYFesXi5IZDaQTS7nz
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS deepseq-1.4.6.1
    dependent-map-0.4.0.0-IhWCFvOU7Gg6f7Dp10v0tA
    dependent-sum-0.7.2.0-4CK4kMrY6ZKLMgBmMS8dEC directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-Gzs6nHxof5W4VMbRWLgM8C exceptions-0.10.4
    extra-1.7.16-AXJEg4TcGdlCzHYCdhEv7Y filepath-1.4.2.2
    fingertree-0.1.5.0-AM17XCYf2lKGXwWgHr0bwG
    focus-1.0.3.2-8sVYcdQ0tB29YmqkNQ5Mkc ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-5CaiIbOHX4wCkIVvtLDwll
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-IOa13HGjdaWIYARcVhy1Zq
    hashable-1.4.4.0-Dkr6iEkCc97IbvTKS5y4Zc
    hie-bios-0.12.0-9S04NMRJE9R6blLPO6q0kp
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-1SAxF9zYJXz1lFpyYKfDXJ
    hls-graph-1.9.0.0-qw3P1Ypur6HRefPuhGbd4
    hls-plugin-api-1.6.0.0-GdHz8lcrHEJ28s5Auky6PY
    implicit-hie-0.1.2.7-jgzubTllqzJk1qL2sjHki
    implicit-hie-cradle-0.5.0.1-B9lQyd7PhOj2AzFSU4Gmvb
    lens-5.2.3-3sE8yHfVdXl3X1dHWPyfrg
    list-t-1.0.5.5-dQBEafA28oAJttSWkSV0O
    lsp-1.6.0.0-KJJ2XFyjsGGKSf3m1wwPr5
    lsp-types-1.6.0.0-3DJ28XVSVWT6AHAT5YrXb mtl-2.2.2
    opentelemetry-0.8.0-AbPHGcDx3Dd8ChY7evwkqO
    optparse-applicative-0.17.1.0-AgMeQrX7nmlDOnX2xcegDb
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-kxQodaP4nCE8ZTxbXRnHJ
    prettyprinter-ansi-terminal-1.1.3-4lnec8RIXzFELqqcSZWPLQ
    random-1.2.1.2-1gZGqew6Xvt4ONznLXzqak
    regex-tdfa-1.3.2.2-CvOPCf8FD05AXA6c07C7CT
    safe-exceptions-0.1.7.4-LjitcHR5Qzp2fJSiBjVPzS
    sorted-list-0.2.2.0-DAF091hyHKk1i2RBYVcf07
    sqlite-simple-0.4.19.0-D9N0nug9k2oAXH6h9qY9iy stm-2.5.0.2
    stm-containers-1.2.1-3DIymDaK3vf7YKfG3fFi2H
    syb-0.7.2.4-89doc1zYrrWCF1u4CgIEo3 text-1.2.5.0
    text-rope-0.3-knsP94OHHGEkNwF3QlaKT time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-KDb4wZM5NxjDfwcvgFyJuw
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-Drb3pnWri2WKY9CcAugfcS
    vector-0.13.1.0-2srMfrOOT9n4GuHyEXalOD

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

